Subject: Re: bug#58425: Unable to achieve advertised "word-level" accuracy using SyncTeX with PDF Tools

From: Arash Esbati <[email-masked]>
Date: Thu, 13 Jun 2024 19:58:50 +0200

O G <[email-masked]> writes:

> From the AucTeX Changelog (v. 11.89):
>
> "To open the PDF output file you can now also use PDF Tools, a
> document viewer for Emacs. With it, as a plus, forward and backward
> search is accurate at word level."
>
> I'm only able to achieve word-level accuracy on reverse sync
> search. On forward sync search, the arrow that appears in the
> left-hand margin of the PDF preview buffer can be off by as much as a
> half-dozen lines.
>
> Is there a way to configure AucTeX+PDFTools in order to highlight the
> word in the PDF Tools preview buffer corresponding to where the cursor
> is positioned in the AucTeX latex source buffer during a forward
> search instead of placing an arrow in the left-hand margin, which by
> construction can only be line-level accurate at best?
>
> Emacs 28.2 (MSYS2) w/ latest pdf-tools.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not sure but IIRC, the wording above was provided by PDFTools itself
back then.  Can you reproduce this with the latest version of
Emacs/PDFTools/AUCTeX?

Best, Arash